package com.qsoft.rs.sincoar.dominio.mapper;

import com.qsoft.rs.sincoar.model.MdViews;
import com.qsoft.rs.sincoar.dto.MdViewsDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper
public interface MdViewsMapper {

    MdViewsMapper INSTANCE = Mappers.getMapper(MdViewsMapper.class);
    @Mapping(source = "schemaIdFk", target = "schemaIdFk.id")
    MdViews getEntidad(MdViewsDTO mdViews);
    
    @Mapping(target = "schemaIdFk", source = "schemaIdFk.id")
    MdViewsDTO getDto(MdViews mdViews);

}